Tasuku
ReferenceAPI referenceWorkflows

Read a work item with its conversation, runs, plans, and outputs

GET/organizations/{organization_id}/work-items/{work_item_id}

Authorization

tasuku_session<token>

In: cookie

Path Parameters

organization_id*string
Length1 <= length <= 128
work_item_id*string
Length1 <= length <= 128

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/organizations/string/work-items/string"
{  "data": {    "actions": [      {        "action": "APPROVE",        "actor_login": "string",        "created_at": "string",        "from_phase": "string",        "from_state": "OPEN",        "id": "string",        "message": "string",        "source": "SLACK",        "to_phase": "string",        "to_state": "OPEN",        "workflow_run_id": "string"      }    ],    "activity": [      {        "category": "string",        "detail": "string",        "id": "string",        "occurred_at": "string",        "run_id": "string",        "sequence": 1,        "status": "RUNNING",        "technical_detail": "string",        "title": "string",        "tool": "string",        "tool_input": "string",        "updated_at": "string"      }    ],    "artifacts": [      {        "artifact_type": "RESEARCH_REPORT",        "created_at": "string",        "format": "MARKDOWN",        "id": "string",        "is_public": true,        "media_type": "string",        "rendered_markdown": "string",        "status": "CURRENT",        "structured_content": {          "property1": null,          "property2": null        },        "version": 1      }    ],    "events": [      {        "property1": null,        "property2": null      }    ],    "files": [      {        "created_at": "string",        "file_name": "string",        "id": "string",        "label": "string",        "media_type": "string",        "sha256": "stringstringstringstringstringstringstringstringstringstringstri",        "size_bytes": 1,        "workflow_run_id": "string"      }    ],    "messages": [      {        "author": "string",        "body": "string",        "created_at": "string",        "id": "string",        "kind": "REQUEST",        "metadata": {          "property1": null,          "property2": null        },        "source": "SLACK",        "source_key": "string"      }    ],    "plans": [      {        "approved_by_login": "string",        "code": "string",        "created_at": "string",        "github_comment_url": "string",        "id": "string",        "rendered_markdown": "string",        "source_run_id": "string",        "status": "PENDING",        "structured_content": {          "property1": null,          "property2": null        }      }    ],    "resources": [      {        "created_at": "string",        "id": "string",        "metadata": {          "property1": null,          "property2": null        },        "resource_key": "string",        "resource_type": "SLACK_THREAD",        "resource_url": "string"      }    ],    "runs": [      {        "created_at": "string",        "current_phase": "string",        "error_message": "string",        "finished_at": "string",        "id": "string",        "model": "string",        "model_variant": "string",        "provider": "string",        "reasoning_effort": "string",        "started_at": "string",        "status": "string",        "updated_at": "string",        "usage": {          "attempts": 0,          "cached_input_tokens": 0,          "cost_usd": 0,          "duration_ms": 0,          "input_tokens": 0,          "model": "string",          "output_tokens": 0,          "provider": "string",          "reasoning_output_tokens": 0,          "total_tokens": 0,          "turns": 0        },        "workflow_type": "string"      }    ],    "work_item": {      "active_run_id": "string",      "available_actions": [        "APPROVE"      ],      "completed_at": "string",      "created_at": "string",      "id": "string",      "kind": "QUESTION",      "organization_id": "string",      "parent_artifact_id": "string",      "parent_work_item_id": "string",      "phase": "INTAKE",      "primary_repository_id": "string",      "requested_by_login": "string",      "source": "GITHUB",      "source_url": "string",      "state": "OPEN",      "summary": "string",      "title": "string",      "updated_at": "string",      "waiting_reason": "CONTEXT"    }  }}